"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadAbiVersion = exports.abiVersions = void 0;
const index_js_1 = require("./ethers-contracts/index.js");
const sdk_definitions_ntt_1 = require("@wormhole-foundation/sdk-definitions-ntt");
// This is a descending list of all ABI versions the SDK is aware of.
// We check for the first match in descending order, allowing for higher minor and patch versions
// being used by the live contract (these are supposed to still be compatible with older ABIs).
exports.abiVersions = [
    ["1.1.0", index_js_1._1_1_0],
    ["1.0.0", index_js_1._1_0_0],
    ["0.1.0", index_js_1._0_1_0],
];
function loadAbiVersion(targetVersion) {
    for (const [abiVersion, abi] of exports.abiVersions) {
        if (sdk_definitions_ntt_1.Ntt.abiVersionMatches(targetVersion, abiVersion)) {
            return abi;
        }
    }
    throw new Error(`Unknown ABI version: ${targetVersion}`);
}
exports.loadAbiVersion = loadAbiVersion;
//# sourceMappingURL=bindings.js.map